Directory Tenants - Delete
Delete a directory tenant under a resource group.
DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourcegroups/{resourceGroupName}/providers/Microsoft.Subscriptions.Admin/directoryTenants/{tenant}?api-version=2015-11-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string |
The resource group the resource is located under. |
|
subscription
|
path | True |
string |
Subscription credentials which uniquely identify Microsoft Azure subscription.The subscription ID forms part of the URI for every service call. |
|
tenant
|
path | True |
string |
Directory tenant name. |
|
api-version
|
query | True |
string |
Client Api Version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
|
| 204 No Content |
No Content |
|
| Other Status Codes |
Unexpected Error |
Security
azure_auth
Azure Active Directory OAuth2 flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Delete a directory tenant under a resource group.
Sample request
DELETE https://management.azure.com/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/resourcegroups/system.local/providers/Microsoft.Subscriptions.Admin/directoryTenants/azurestackci07.onmicrosoft.com?api-version=2015-11-01
Sample response
Definitions
| Name | Description |
|---|---|
| Error |
Error response. |
|
Error |
Error definition. |
Error
Error response.
| Name | Type | Description |
|---|---|---|
| error |
The error details. |
ErrorDefinition
Error definition.
| Name | Type | Description |
|---|---|---|
| code |
string |
Service specific error code which serves as the substatus for the HTTP error code. |
| details |
Internal error details. |
|
| message |
string |
Description of the error. |